## org.apache.mahout.cf.taste.common
Enum Weighting

    java.lang.Object
      java.lang.Enum<Weighting>
          org.apache.mahout.cf.taste.common.Weighting

All Implemented Interfaces:
  Serializable, Comparable<Weighting>

    public enum Weighting

extends Enum<Weighting>

A simple enum which gives symbolic names to the ideas of "weighted" and "unweighted", to make various API calls which take a weighting parameter more readable.

Enum Constant Summary
`UNWEIGHTED`
`WEIGHTED`

Method Summary
`static Weighting` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Weighting[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WEIGHTED

    public static final Weighting WEIGHTED

### UNWEIGHTED

    public static final Weighting UNWEIGHTED

Method Detail

### values

    public static Weighting[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Weighting c : Weighting.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Weighting valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.